//
//  CourseManager.h
//  PFC
//
//  Created by Rubén Domínguez on 2/8/16.
//  Copyright © 2016 TheAgileMonkeys. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "User.h"
#import "Lesson.h"

@interface CourseManager : NSObject

@property (nonatomic, strong) User *currentUser;
@property (nonatomic, readonly, copy) NSArray *lessons;


+ (instancetype)sharedInstance;

- (void)configureCourse;
- (void)updateUserInformationWithCompletion:(void (^)(NSError *error))completion;
- (BOOL)isUserSigned;
- (BOOL)isTestFinished;

@end