//
//  FinishPollViewController.m
//  IOS Learning Plaform
//
//  Created by Rubén Domínguez on 30/11/13.
//  Copyright (c) 2013 TheAgileMonkeys. All rights reserved.
//

#import "FinishPollViewController.h"

@interface FinishPollViewController ()

@property (weak, nonatomic) IBOutlet UILabel *noticeLabel;
@property (weak, nonatomic) IBOutlet UIImageView *imageView;
@property (weak, nonatomic) IBOutlet UIButton *goToButton;
@property (weak, nonatomic) IBOutlet UILabel *explanationLabel;
- (IBAction)goToT:(id)sender;

@end

@implementation FinishPollViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    [self.noticeLabel setFont:[UIFont fontWithName:@"Aleo" size:22]];
    self.noticeLabel.textColor = navbarBackground;
    [self.goToButton.layer setBorderWidth:2.0f];
    
    self.noticeLabel.text = NSLocalizedString(@"finishPollMessage", nil);
    self.explanationLabel.text = NSLocalizedString(@"finishPollInstructions", nil);
    [self.goToButton.layer setBorderWidth:2.0f];
    [self.goToButton.layer setBorderColor:navbarBackground.CGColor];
    [self.goToButton setTitle: NSLocalizedString(@"finishTodoTextButton", nil)forState:UIControlStateNormal];
    [self.goToButton setTitleColor:navbarBackground forState:UIControlStateNormal];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)goToT:(id)sender {
    
    UITabBarController *rootVC = [self.storyboard instantiateViewControllerWithIdentifier:@"TabbarViewController"];
    
    NSMutableArray *tbViewControllers = [NSMutableArray arrayWithArray:[rootVC viewControllers]];
    [tbViewControllers removeObjectAtIndex:0];
    [tbViewControllers removeObjectAtIndex:2];
    [rootVC setViewControllers:tbViewControllers];
    rootVC.modalTransitionStyle = UIModalTransitionStyleCrossDissolve;
    [self presentViewController:rootVC animated:YES completion:nil];
}
@end
