//
//  MotivationAdviceViewController.m
//  IOS Learning Plaform
//
//  Created by Rubén on 30/09/13.
//  Copyright (c) 2013 TheAgileMonkeys. All rights reserved.
//

#import "MotivationAdviceViewController.h"
#import "BackgroundLayer.h"

@interface MotivationAdviceViewController ()
@property (weak, nonatomic) IBOutlet UIButton *enterButton;
@property (weak, nonatomic) IBOutlet UILabel *titleAppLabel;
@property (weak, nonatomic) IBOutlet UILabel *adviceLabel;


@end

@implementation MotivationAdviceViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    self.titleAppLabel.text = NSLocalizedString(@"appName", nil);
    self.titleAppLabel.font = [UIFont fontWithName:@"Aleo-Bold" size:25];
    self.adviceLabel.font = [UIFont fontWithName:@"Aleo-Light" size:25];
    self.adviceLabel.text = NSLocalizedString(@"motivationAdvice", nil);
    self.enterButton.titleLabel.font = [UIFont fontWithName:@"Aleo-Light" size:18];
    [self.enterButton.layer setBorderWidth:1.0f];
    [self.enterButton.layer setBorderColor:[UIColor whiteColor].CGColor];
    [self.enterButton setTitle:NSLocalizedString(@"EnterbuttonText", nil) forState:UIControlStateNormal];
}

- (void) viewWillAppear:(BOOL)animated{
    
    CAGradientLayer *bgLayer = [BackgroundLayer blueGradient];
    bgLayer.frame = self.view.bounds;
    [self.view.layer insertSublayer:bgLayer atIndex:0];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
