//
//  ToDo.h
//  IOS Learning Plaform
//
//  Created by  on 18/10/13.
//  Copyright (c) 2013 TheAgileMonkeys. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>


@interface ToDo : NSManagedObject

@property (nonatomic, retain) NSDate * date;
@property (nonatomic, retain) NSString * body;
@property (nonatomic, retain) NSNumber * done;
@property (nonatomic, retain) NSString * parseId;

+ (NSFetchedResultsController *)toDosFetcher;
+ (instancetype)newToDo;
- (void)updateStatusWith:(NSNumber *)status;
- (void)updateWithBody:(NSString *)body status:(NSNumber *)status date:(NSDate *)date andID:(NSString *)serverId;
- (void)destroyToDoWithCompletionBLock:(void (^)(NSError *error))completion;
@end
