//
//  User.h
//  IOS Learning Plaform
//
//  Created by Rubén Domínguez on 17/7/16.
//  Copyright © 2016 TheAgileMonkeys. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <Parse/Parse.h>

@interface User : NSObject

@property (nonatomic, copy) NSString *modelId;
@property (nonatomic, copy) NSDate *birthDate;
@property (nonatomic, copy) NSString *email;
@property (nonatomic, copy) NSString *gender;
@property (nonatomic, copy) NSString *name;
@property (nonatomic, copy) NSString *occupation;
@property (nonatomic, copy) NSString *organization;
@property (nonatomic, copy) NSString *videoAvaliableTime;
@property (nonatomic, strong) PFObject *pfObject;


- (void)fetchUserInformationWithCompletion:(void (^)(User *currentUser, NSError *error))completion;
- (void)updateUserInformationWithCompletion:(void (^)(User *currentUser, NSError *error))completion;

@end
