//
//  WrongAnswerViewController.m
//  IOS Learning Plaform
//
//  Created by Rubén on 27/11/13.
//  Copyright (c) 2013 TheAgileMonkeys. All rights reserved.
//

#import "WrongAnswerViewController.h"

@interface WrongAnswerViewController ()
    @property (weak, nonatomic) IBOutlet UILabel *textConfirmLabel;
    @property (weak, nonatomic) IBOutlet UILabel *errorMessageLabel;
    @property (weak, nonatomic) IBOutlet UIButton *tryAgainButton;

@end

@implementation WrongAnswerViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];    
	// Do any additional setup after loading the view.
    self.textConfirmLabel.font  = [UIFont fontWithName:@"Aleo-Bold" size:25.0];
    self.textConfirmLabel.text = NSLocalizedString(@"wrongAnswerMessage", nil);
    self.textConfirmLabel.textColor = navbarBackground;
    self.errorMessageLabel.text = self.message;
    
    [self.tryAgainButton.layer setBorderWidth:2.0f];
    [self.tryAgainButton.layer setBorderColor:navbarBackground.CGColor];
    [self.tryAgainButton setTitle: NSLocalizedString(@"tryAgainTextButton", nil)forState:UIControlStateNormal];
    [self.tryAgainButton setTitleColor:navbarBackground forState:UIControlStateNormal];
    
}

- (IBAction)tryAgainAction:(id)sender {
    [self.presentingViewController dismissViewControllerAnimated:YES completion:nil];
}

@end
