//
//  voteViewController.m
//  IOS Learning Plaform
//
//  Created by Rubén on 07/11/13.
//  Copyright (c) 2013 TheAgileMonkeys. All rights reserved.
//

#import "voteViewController.h"

@interface voteViewController ()
@property (weak, nonatomic) IBOutlet UILabel *voteTextLabel;
@property (weak, nonatomic) IBOutlet UIButton *goToDoButton;
- (IBAction)goToDoList:(id)sender;

@property (weak, nonatomic) IBOutlet UIButton *addOnePointButton;
@property (weak, nonatomic) IBOutlet UIButton *addTwoPointButton;
@property (weak, nonatomic) IBOutlet UIButton *addThreePointButton;
@property (weak, nonatomic) IBOutlet UIButton *addFourPointButton;
@property (weak, nonatomic) IBOutlet UIButton *addFivePointButton;
@property (strong, nonatomic) PFObject *current_user;

@end

@implementation voteViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    self.title = NSLocalizedString(@"ratePageTitle", nil);
    
    
    [self.goToDoButton setTitleColor:navbarBackground forState:UIControlStateNormal];
    [self.goToDoButton.titleLabel setFont:[UIFont fontWithName:@"Aleo" size:20]];
    [self.goToDoButton.layer setBorderWidth:1.0f];
    [self.goToDoButton.layer setBorderColor:navbarBackground.CGColor];
    [self.goToDoButton setTitle: NSLocalizedString(@"voteTodoButton", nil) forState:UIControlStateNormal];
    
    
    //Set alpha to 0.75
    self.addOnePointButton.alpha = 0.50;
    self.addTwoPointButton.alpha = 0.50;
    self.addThreePointButton.alpha = 0.50;
    self.addFourPointButton.alpha = 0.50;
    self.addFivePointButton.alpha = 0.50;

    
    [self.voteTextLabel setFont:[UIFont fontWithName:@"Aleo" size:22]];
    self.voteTextLabel.text = NSLocalizedString(@"rateExplanationLabel", nil);
    self.voteTextLabel.textColor = navbarBackground;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)addPointsTapp:(id)sender {
    
    self.addOnePointButton.alpha = 0.50;
    self.addTwoPointButton.alpha = 0.50;
    self.addThreePointButton.alpha = 0.50;
    self.addFourPointButton.alpha = 0.50;
    self.addFivePointButton.alpha = 0.50;
    [sender setAlpha:1.];
    
    NSString *key = [[NSUserDefaults standardUserDefaults] valueForKey:@"userId"];
    PFQuery *query = [PFQuery queryWithClassName:@"Profile"];
    [query getObjectInBackgroundWithId:key block:^(PFObject *profile, NSError *error) {
        if (!error) {
            self.current_user =profile;

        PFQuery *query = [PFQuery queryWithClassName:@"Video_Poll"];
        [query whereKey:@"user" equalTo:profile];
        [query whereKey:@"video" equalTo:self.video];
        [query findObjectsInBackgroundWithBlock:^(NSArray *objects, NSError *error) {
            
            if(!error){
                PFObject *object = objects.firstObject;
                if (!object) {
                    object = [PFObject objectWithClassName:(@"Video_Poll")];
                    object[@"user"] = profile;
                    object[@"video"] = self.video;
                }
                object[@"score"] =[NSNumber numberWithInt:[sender tag]];
                [object saveEventually];
            }

        }];
    }
    }];
}


- (IBAction)goToDoList:(id)sender {
    
    [self.presentingViewController dismissViewControllerAnimated:YES completion:nil];
}
@end
