//
//  BackgroundLayer.m
//  IOS Learning Plaform
//
//  Created by Rubén Domínguez on 25/10/13.
//  Copyright (c) 2013 TheAgileMonkeys. All rights reserved.
//

#import "BackgroundLayer.h"

@implementation BackgroundLayer



//Blue gradient background
+ (CAGradientLayer*) blueGradient {
    
    UIColor *colorOne = [UIColor colorWithRed:(234/255.0) green:(123/255.0) blue:(110/255.0) alpha:1.0];
    UIColor *colorTwo = [UIColor colorWithRed:(225/255.0)  green:(75/255.0)  blue:(90/255.0)  alpha:1.0];
    
    NSArray *colors = [NSArray arrayWithObjects:(id)colorOne.CGColor, colorTwo.CGColor, nil];
    NSNumber *stopOne = [NSNumber numberWithFloat:0.0];
    NSNumber *stopTwo = [NSNumber numberWithFloat:1.0];
    
    NSArray *locations = [NSArray arrayWithObjects:stopOne, stopTwo, nil];
    
    CAGradientLayer *headerLayer = [CAGradientLayer layer];
    headerLayer.colors = colors;
    headerLayer.locations = locations;
    
    return headerLayer;
    
}

@end

