//
//  ErrorMessageHelper.m
//  IOS Learning Plaform
//
//  Created by Rubén Domínguez on 1/8/16.
//  Copyright © 2016 TheAgileMonkeys. All rights reserved.
//

#import "ErrorMessageHelper.h"

@implementation ErrorMessageHelper

+ (void)showErrorMessageWith:(NSString *)message
{
    
    UIAlertView *errorAlert = [[UIAlertView alloc] initWithTitle:@"Error"
                                                         message:message
                                                        delegate:nil
                                               cancelButtonTitle:@"OK"
                                               otherButtonTitles:nil];
    [errorAlert show];
    
}

+ (void)showMessageWithTitle:(NSString *)title andMessage:(NSString *)message
{
    UIAlertView *errorAlert = [[UIAlertView alloc] initWithTitle:title
                                                         message:message
                                                        delegate:nil
                                               cancelButtonTitle:@"OK"
                                               otherButtonTitles:nil];
    [errorAlert show];
}

@end
