//
//  FinishCourseViewController.m
//  IOS Learning Plaform
//
//  Created by Rubén Domínguez on 04/12/13.
//  Copyright (c) 2013 TheAgileMonkeys. All rights reserved.
//

#import "FinishCourseViewController.h"

@interface FinishCourseViewController ()

    @property (weak, nonatomic) IBOutlet UILabel *noticeLabel;
    @property (weak, nonatomic) IBOutlet UIImageView *imageView;
    @property (weak, nonatomic) IBOutlet UIButton *goToButton;
    @property (weak, nonatomic) IBOutlet UILabel *explanationLabel;

@end

@implementation FinishCourseViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    [self.noticeLabel setFont:[UIFont fontWithName:@"Aleo" size:22]];
    self.noticeLabel.textColor = navbarBackground;
    [self.goToButton.layer setBorderWidth:2.0f];
    
    self.noticeLabel.text = NSLocalizedString(@"finishCourseMessage", nil);
    self.explanationLabel.text = NSLocalizedString(@"finishCourseInstructions", nil);
    [self.goToButton.layer setBorderWidth:2.0f];
    [self.goToButton.layer setBorderColor:navbarBackground.CGColor];
    [self.goToButton setTitle: NSLocalizedString(@"examTextButton", nil)forState:UIControlStateNormal];
    [self.goToButton setTitleColor:navbarBackground forState:UIControlStateNormal];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
