//
//  Lesson.h
//  IOS Learning Plaform
//
//  Created by Rubén on 28/11/13.
//  Copyright (c) 2013 TheAgileMonkeys. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>
@class User;


@interface Lesson : NSManagedObject

@property (nonatomic, retain) NSDate * date;
@property (nonatomic, retain) NSString * video;
@property (nonatomic, retain) NSNumber * done;

+ (void)getLessonsForCourseWithCompletionBlock:(void (^)(NSArray *lessons, NSError *error))completion;
+ (void)getVideosForLessonsWithCompletionBlock:(void (^)(NSArray *videos, NSError *error))completion;
+ (BOOL) hasLessonsAvaliable;
+ (BOOL) hasLessonNow;
+ (Lesson *) getActualLesson;
+ (NSUInteger) videosViewed;
- (void) markLikeDone;
- (void)updateWithDate:(NSDate *)date andCompletion:(void (^)(NSError *error))completion;
@end
