//
//  TestQuestion.h
//  IOS Learning Plaform
//
//  Created by Ruben Domínguez on 11/9/16.
//  Copyright © 2016 TheAgileMonkeys. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "User.h"

@interface TestQuestion : NSObject

@property (nonatomic, copy) NSString *modelId;
@property (nonatomic, assign) BOOL  answer;
@property (nonatomic, readonly, copy) NSString *statement;
@property (nonatomic, readonly, copy) NSString *explanation;


- (instancetype)initWithDictionary:(NSDictionary *)dictionary;

- (void)markAsCorrectForUser:(User *)user withCompletion:(void (^)(NSError *error))completion;

- (void)markAsWrongForUser:(User *)user withCompletion:(void (^)(NSError *error))completion;


@end
