//
//  QuestionConfirmViewController.m
//  IOS Learning Plaform
//
//  Created by Rubén on 26/11/13.
//  Copyright (c) 2013 TheAgileMonkeys. All rights reserved.
//

#import "QuestionConfirmViewController.h"

@interface QuestionConfirmViewController ()
@property (weak, nonatomic) IBOutlet UILabel *textConfirmLabel;
@property (retain, nonatomic) IBOutlet UIImageView *confirmImageView;
@property (weak, nonatomic) IBOutlet UIButton *confirmButton;

@end

@implementation QuestionConfirmViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    self.textConfirmLabel.font  = [UIFont fontWithName:@"Aleo-Bold" size:25.0];
    [self.confirmButton.layer setBorderWidth:2.0f];
    self.textConfirmLabel.text = NSLocalizedString(@"wellDoneText", nil);
    self.textConfirmLabel.numberOfLines = 2;
    self.textConfirmLabel.textColor = progressBarViewColor;
    self.confirmImageView.image = [UIImage imageNamed:@"icono_contento_verde"];
    [self.confirmButton.layer setBorderColor:progressBarViewColor.CGColor];
    [self.confirmButton setTitle: NSLocalizedString(@"nextQuestionTextButton", nil) forState:UIControlStateNormal];
    [self.confirmButton setTitleColor:progressBarViewColor forState:UIControlStateNormal];
    

}

- (IBAction)confirmButtonTap:(id)sender {
    
    [self.presentingViewController dismissViewControllerAnimated:YES completion:nil];
}

@end
